Package be.ehealth.businessconnector.ehbox.v3.validator.impl

# Class EhboxReplyValidatorImpl

java.lang.Object
be.ehealth.businessconnector.ehbox.v3.validator.impl.EhboxReplyValidatorImpl

All Implemented Interfaces:
  `EhboxReplyValidator`

public class EhboxReplyValidatorImpl extends Object implements EhboxReplyValidator
Implementation for `EhboxReplyValidator`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EHBOX_OOO_EXCEPTION`
  The eHealth success codes.
  `static final String`
  `EHEALTH_SUCCESS_CODE_100`
  The eHealth success codes.
  `static final String`
  `EHEALTH_SUCCESS_CODE_200`
  The eHealth success codes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EhboxReplyValidatorImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `validateReplyStatus(ResponseType response)`
  validates the reply status : will throw a general TechnicalConnectorException if the reply status is not success and will throw an `OoOPublicationException` if the status is success, but there are Out Of Offices for one or more recipients.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EHEALTH_SUCCESS_CODE_100

    public static final String EHEALTH_SUCCESS_CODE_100
    The eHealth success codes.
    See Also:
      - Constant Field Values

  - ### EHEALTH_SUCCESS_CODE_200

    public static final String EHEALTH_SUCCESS_CODE_200
    The eHealth success codes.
    See Also:
      - Constant Field Values

  - ### EHBOX_OOO_EXCEPTION

    public static final String EHBOX_OOO_EXCEPTION
    The eHealth success codes.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EhboxReplyValidatorImpl

    public EhboxReplyValidatorImpl()

- ## Method Details

  - ### validateReplyStatus

    public boolean validateReplyStatus(ResponseType response) throws ConnectorException
    validates the reply status : will throw a general TechnicalConnectorException if the reply status is not success and will throw an `OoOPublicationException` if the status is success, but there are Out Of Offices for one or more recipients. the calling application has the responsibility to resend the message with the OoO acknowledged ( and other recipients if needed ).
    Specified by:
      `validateReplyStatus` in interface `EhboxReplyValidator`
    Parameters:
      `response` - the response
    Returns:
      true, if successful
    Throws:
      `OoOPublicationException` - if there is an Out off office for one or more recipients that is not acknowledged
      `ConnectorException`
    See Also:
      - invalid reference

            be.ehealth.businessconnector.ehboxV2.validator.EhboxReplyValidator#validateReplyStatus(be.fgov.ehealth.businessconnector.ehboxv2.commons.protocol.v1.ResponseType)